# -*- encoding : utf-8 -*-

class Admin::MOdrBrandsController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "default"
  end
  
  def index
    @m_odr_brands = MOdrBrand.order(:name).all

  end

  def show
    @m_odr_brand = MOdrBrand.find(params[:id])

  end

  def new
    @m_odr_brand = MOdrBrand.new
  
  end

  def edit
    @m_odr_brand = MOdrBrand.find(params[:id])
    
  end

  def create
    @m_odr_brand = MOdrBrand.new(params.require(:m_odr_brand).permit!)

    if @m_odr_brand.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @m_odr_brand = MOdrBrand.find(params[:id])


    if @m_odr_brand.update_attributes(params.require(:m_odr_brand).permit!)
      
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @m_odr_brand = MOdrBrand.find(params[:id])
    @m_odr_brand.destroy
    
  end
end
